﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace Falcon.SugarApi.ModelValidation
{
    /// <summary>
    /// 对模型进行验证
    /// </summary>
    public static class IModelValidateResult
    {
        /// <summary>
        /// 验证对象是否通过模型验证
        /// </summary>
        /// <param name="model">要验证的对象</param>
        /// <returns>如果为null则通过，否则返回验证结果列表</returns>
        public static List<ValidationResult>? Validate(this IModelValidate model)
            => model.TryModelValidation(out var results) ? null : results;
    }
}
